--- ion3-20041104.orig/etc/cfg_menus.lua	2004-09-28 14:58:49.000000000 +0000
+++ ion3-20041104/etc/cfg_menus.lua	2004-11-27 22:37:01.000000000 +0000
@@ -6,18 +6,21 @@
 -- Main menu
 defmenu("mainmenu", {
     submenu("Programs",         "appmenu"),
-    menuentry("Lock screen",    "ioncore.exec_on(_, 'xlock')"),
+    menuentry("Lock screen",
+              "ioncore.exec_on(_, ioncore.lookup_script('ion-lock'))"),
     menuentry("Help",           "mod_query.query_man(_)"),
     menuentry("About Ion",      "mod_query.show_about_ion(_)"),
     submenu("Styles",           "stylemenu"),
+    submenu("Debian",           "Debian"),
     submenu("Session",          "sessionmenu"),
 })
 
 
 -- Application menu
 defmenu("appmenu", {
-    menuentry("XTerm",          "ioncore.exec_on(_, 'xterm')"),
-    menuentry("Mozilla Firefox","ioncore.exec_on(_, 'firefox')"),
+    menuentry("Terminal",       "ioncore.exec_on(_, 'x-terminal-emulator')"),
+    menuentry("Browser",        "ioncore.exec_on(_, 'sensible-browser')"),
+
     menuentry("Run...",         "mod_query.query_exec(_)"),
 })
 
@@ -26,7 +29,7 @@
 defmenu("sessionmenu", {
     menuentry("Save",           "ioncore.snapshot()"),
     menuentry("Restart",        "ioncore.restart()"),
-    menuentry("Restart PWM",    "ioncore.restart_other('pwm')"),
+    menuentry("Restart PWM3",    "ioncore.restart_other('pwm3')"),
     menuentry("Restart TWM",    "ioncore.restart_other('twm')"),
     menuentry("Exit",           "ioncore.shutdown()"),
 })
@@ -44,3 +47,12 @@
     menuentry("Window info",    "mod_query.show_clientwin(_, _sub)",
                                 "_sub:WClientWin"),
 })
+
+-- Auto-generated Debian menu definitions
+if os.execute("test -x /usr/bin/update-menus") == 0 then
+    if ioncore.is_i18n() then
+        dopath("debian-menu-i18n")
+    else
+        dopath("debian-menu")
+    end
+end
